:root {
  --basic-black: #000000;
  --basic-white: #ffffff;
}

* {
  margin-bottom: 0;
  padding-bottom: 0;
}

.template-j-600 {
  font-family: "Montserrat", sans-serif;

  section {
    margin-bottom: 220px;
  }

  h1 {
    color: var(--basic-white);
    font-size: 207px;
    font-weight: 600;

  }

  h2 {
    color: var(--basic-white);
    font-size: 43px;
    font-weight: 700;
    line-height: 48px;
  }

  h3 {
    font-size: 38px;
    font-weight: 700;
    line-height: 43px;
    margin-bottom: 32px;
  }

  h4 {
    font-size: 24px;
    font-weight: 700;
    line-height: 27px;
  }

  h5 {
    font-size: 22px;
    font-weight: 700;
    line-height: 25px;
  }

  p {
    font-size: 16px;
    font-weight: normal;
    line-height: 26px;
    opacity: 0.8;
    margin-bottom: 0;
  }

  .section-header {
    margin-bottom: 0;
    display: flex;
    justify-content: center;
    position: relative;
    overflow: hidden;

    .image {
      width: 1440px;
      position: relative;

      img {
        width: 100%;
        height: auto;
      }

      .front-bg {
        position: absolute;
        top: -105px;
        width: 1440px;
        z-index: 1;

        img {
          width: 100%;
          height: auto;
        }
      }
    }

    .content {
      position: absolute;
      top: 42%;
      transform: translateY(-50%);

      h1 {
        letter-spacing: -10px;
        line-height: 0.5;

        span:first-child {
          font-weight: 600;
          font-size: 206px;
          margin-right: 100px;
        }

        span:last-child {
          font-weight: 800;
          font-size: 260px;
        }
      }
    }
  }

  .section-characteristics {
    display: flex;
    justify-content: center;
    margin-bottom: 96px;
    //margin-top: -40px;
    z-index: 1;
    position: relative;

    .section-content {
      max-width: 1440px;
      width: 100%;
      display: inline-block;
      padding: 61px 40px;
      text-align: center;
      border-radius: 0 0 20px 20px;
      box-shadow: 0 15px 60px rgba(147, 93, 55, 0.08);
      background-color: var(--basic-white);

      .section-item {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        height: 100%;

        .img-item {
          margin-bottom: 33px;
        }
      }
    }
  }

  .section-juicing {
    .section-content {
      max-width: 500px;
    }

    .section-image {
      position: relative;
      height: 523px;
      overflow: hidden;
      border-radius: 20px;
      max-width: 423px;
      margin-left: auto;

      img {
        position: absolute;
        top: 0;
        left: 50%;
        transform: translate(-50%);
        height: 100%;
      }
    }
  }

  .section-reverse {
    .section-content {
      margin-left: auto;
    }

    .section-image {
      margin-right: auto;
      margin-left: 0;
    }
  }

  .animation {
    border-radius: 25px 0 0 25px;
    height: 635px;
    margin-bottom: 420px;

    h3 {
      text-align: center;
    }

    $animation-duration: 900ms;

    .wrapper {
      display: flex;
      height: 600px;
      border-radius: 25px;
      overflow: hidden;
      position: relative;

      .item {
        position: absolute;
        top: 0;
        bottom: 0;
        transition: all $animation-duration ease;
        overflow: hidden;

        .bg {
          transition: all $animation-duration ease;
          background-repeat: no-repeat;
          background-size: cover;
          position: absolute;
          width: 100%;
          height: 100%;
        }

        .content {
          position: relative;
          left: 50%;
          top: 50%;
          transform: translate(-50%, -50%);
          transition: all $animation-duration ease;
          display: flex;
          flex-direction: column;
          align-items: center;

          span {
            font-weight: bold;
            font-size: 20px;
            text-align: center;
            line-height: 25px;
          }
        }
      }

      .item-1 {
        background: linear-gradient(180deg, #FD8FFF 0%, #FFFFFF 116.61%);

        .bg {
          background-image: url(../images/j-600/animation/1.png);
          background-size: cover;
          background-position-x: 80px;
        }
      }

      .item-2 {
        background: linear-gradient(180deg, #27CBFF 0%, #FFFFFF 141.89%);

        .bg {
          background-image: url('../images/j-600/animation/2.png');
          background-position: top;
          background-size: cover;
        }
      }

      .item-3 {
        background: linear-gradient(180deg, #FFC327 0%, #FFFFFF 157.72%);

        .bg {
          background-image: url('../images/j-600/animation/3.png');
          background-position: center top;
          background-size: cover;
        }
      }
    }

    .item-4 {
      display: flex;
      padding: 40px 26px;
      background: #ffffff;
      box-shadow: 0 15px 60px rgba(147, 93, 55, 0.08);
      border-radius: 24px;
      position: absolute;
      left: 50%;
      bottom: -50%;
      transform: translateX(-50%);
      width: 90%;
      opacity: 0;
      transition: all 1000ms ease;
      justify-content: space-between;

      .wrapper {
        display: flex;
        height: auto;
        width: 48%;
        border-radius: 0;

        .image {
          margin-right: 20px;

          img {
          }
        }

        .content {
          color: #000000;

          p:first-child {
            font-size: 22px;
            font-weight: bold;
            margin-bottom: 15px;
          }

          p:last-child {
            font-size: 14px;
          }
        }
      }
    }

    &.step-1 {
      .item-1 {
        left: 0;
        right: 0;
      }

      .item-2 {
        left: 100%;
        right: -50%;
      }

      .item-3 {
        left: 100%;
        right: -33%;
      }
    }

    &.step-2 {

      .item-1 {
        left: 0;
        right: 50%;

        .bg {
          //background-size: cover;
          background-position-x: -100px;
        }
      }

      .item-2 {
        left: 50%;
        right: 0;

        .bg {
          //background-size: cover;
        }
      }

      .item-3 {
        left: 100%;
        right: -33%;
      }
    }

    &.step-3 {

      .item-1 {
        right: 66.6%;
        left: 0;

        .bg {
          //background-size: cover;
          background-position-x: -150px;
        }
      }

      .item-2 {
        right: 33.3%;
        left: 33.3%;

        .bg {
          //background-size: cover;
        }
      }

      .item-3 {
        right: 0;
        left: 66.6%;
      }
    }

    &.step-4 {
      .item {
        .content {
          top: 35%;
        }
      }

      .item-1 {
        .bg {
          //background-size: cover;
          background-position-y: -50px;
        }
      }

      .item-2 {
        .bg {
          //background-size: cover;
          background-position-y: -50px;
        }
      }

      .item-3 {
        .bg {
          //background-size: cover;
          background-position-y: -50px;
        }
      }

      .item-4 {
        opacity: 1;
        bottom: -62px;
      }
    }
  }

  .section-autoprograms {
    .section-content {
      max-width: 390px;

      .section-item {
        margin-bottom: 69px;

        &:last-child {
          margin-bottom: 0;
        }

        img {
          margin-bottom: 26px;
        }

        h4 {
          margin-bottom: 20px;
        }
      }
    }

    .section-image {
      position: relative;
      height: 697px;
      overflow: hidden;
      border-radius: 20px;
      max-width: 494px;
      margin-left: auto;

      img {
        position: absolute;
        top: 0;
        left: 70%;
        transform: translate(-50%);
        height: 100%;
      }
    }
  }

  .section-cards {
    .card-list {
      display: flex;
      justify-content: space-between;

      .card-item {
        border: none;
        width: 32%;

        .card-background {
          height: 222px;
          width: 100%;
          background-position: center;
          background-repeat: no-repeat;
          background-size: cover;
          border-radius: 8px;
          margin-bottom: 32px;
        }

        h4 {
          margin-bottom: 20px;
        }
      }
    }
  }

  .section-works {
    .section-content {
      width: 90%;
    }
  }
}
